package com.app.admin.framework.system.administrator.model;

import com.app.framework.core.support.auth.LoginUser;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * sys_administrator
 * @author 
 */
@Data
@ToString
@TableName("sys_administrator")
public class SysAdministrator implements LoginUser, Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID主键
     */
    @TableId(type = IdType.AUTO)
    private Long oid;

    /**
     * 组织机构ID，关联表sys_organization主键
     */
    private Long organizationId;

    /**
     * 部门ID，关联表sys_organization主键
     */
    private Long deptId;

    /**
     * 姓名
     */
    private String realName;

    /**
     * 登录名
     */
    private String username;

    /**
     * 登录密码
     */
    private String password;

    /**
     * 用户类型(0:超级管理员 1:租户管理员 2:普通管理员即员工)
     */
    private Integer userType;

    /**
     * 状态（1:正常   2:禁用   3:删除）
     */
    private Integer state;

    /**
     * 备注
     */
    private String remark;

    /**
     * 手机号码
     */
    private String mobileTel;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 头像URL
     */
    private String headImgUrl;

    /**
     * 系统风格(选项卡式:style_tab    单页面式:style_page)
     */
    private String appStyle;

    /**
     * 创建人Id
     */
    private Long createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后修改时间
     */
    private Date lastModifiedTime;

    @Override
    public Long getId() {
        return oid;
    }

}