package com.app.admin.framework.system.module.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * sys_module
 * @author 
 */
@Data
@ToString
@TableName("sys_module")
public class SysModule implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID主键
     */
    @TableId(type = IdType.AUTO)
    private Long oid;

    /**
     * 组织机构ID，关联表sys_organization主键
     */
    private Long organizationId;

    /**
     * 菜单图标
     */
    private String iconcls;

    /**
     * 资源代码
     */
    private String mark;

    /**
     * 排序号
     */
    private Integer morder;

    /**
     * 资源类型(1菜单 2功能按钮)
     */
    private Integer mtype;

    /**
     * 资源名称
     */
    private String name;

    /**
     * 参数,json格式
     */
    private String params;

    /**
     * 上级资源ID
     */
    private Long parentId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 访问地址类型(1:列表；2:单页；3:自定义)
     */
    private Integer visiturlType;

    /**
     * 访问地址
     */
    private String visiturl;

    /**
     * 状态
     */
    private Integer state;

    /**
     * 英文名称
     */
    private String englishName;

}