package com.app.admin.framework.system.organization.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * sys_organization
 * @author 
 */
@Data
@ToString
@TableName("sys_organization")
public class SysOrganization implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 组织机构ID/部门ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 上级ID,组织机构则为0
     */
    private Long parentId;

    /**
     * 组织机构名称/部门名称
     */
    private String name;

    /**
     * ID路径,用于查所有子部门(eg:1,2,3)
     */
    private String path;

    /**
     * 状态（1:正常   2:禁用   3:删除）
     */
    private Integer state;

    /**
     * 联系人姓名
     */
    private String contactName;

    /**
     * 联系人电话
     */
    private String contactMobile;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新时间
     */
    private Date updateTime;

}