package com.app.admin.framework.system.permission.role.service;

import com.app.admin.framework.system.permission.role.model.SysRole;
import com.app.framework.core.support.auth.LoginUser;
import com.app.framework.core.support.service.CrudBaseService;

import java.util.List;

/**
 * 角色管理
 */
public interface SysRoleService extends CrudBaseService<SysRole> {

    /**
     * 保存对象
     *
     * @param entity 对象
     */
    boolean saveSysRole(SysRole entity);

    /**
     * 根据机构ID加载启用的角色列表
     *
     * @param organizationId 机构ID
     * @return
     */
    List<SysRole> selectByEnable(Long organizationId);

    /**
     * 根据机构ID加载管理角色
     *
     * @param organizationId 机构ID
     * @return
     */
    SysRole getOrgAdminRole(Long organizationId);

    /**
     * 根据机构ID加载管理角色
     *
     * @param organizationId 机构ID
     * @return
     */
    SysRole saveOrgAdminRole(Long organizationId, LoginUser loginUser);
}